Debian Bug report logs - #459816
xterm: compile fails if wide-chars enabled AND c1-print disabled

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Németh Márton <nm127@freemail.hu>

Date: Tue, 8 Jan 2008 21:36:01 UTC

Severity: minor

Tags: patch

Found in version xterm/231-1

Fixed in version xterm/232-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#459816; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Németh Márton <nm127@freemail.hu>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Németh Márton <nm127@freemail.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: compile fails if wide-chars enabled AND c1-print disabled
Date: Tue, 08 Jan 2008 22:31:18 +0100
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 231-1
Severity: minor
Tags: patch

When configuring with the following command:

./configure --enable-wide-chars --disable-c1-print

make gives the following compile time error:

gcc -I. -I. -DHAVE_CONFIG_H  -I/usr/include/freetype2  -I. -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE
-D_SVID_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DFUNCPROTO=15 -DNARROWPROTO    -DUTMP  -DOSMAJORVERSION=2 -DOSMINORVERSION=6  -D_GNU_SOURCE
-DPROJECTROOT='"/usr"' -D__vendorversion__='"Version 6.9.0 X.Org"'  -g -O2  -c ./button.c
./button.c: In function 'SelectionReceived':
./button.c:1614: error: 'TScreen' has no member named 'c1_printable'
make: *** [button.o] Error 1

A possible patch is attached to solve this problem.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23 (PREEMPT)
Locale: LANG=hu_HU, LC_CTYPE=hu_HU (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.7-5          GNU C Library: Shared libraries
ii  libfontconfig1            2.4.2-1.2      generic font configuration library
ii  libice6                   2:1.0.4-1      X11 Inter-Client Exchange library
ii  libncurses5               5.6+20071124-1 Shared libraries for terminal hand
ii  libsm6                    2:1.0.3-1+b1   X11 Session Management library
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxaw7                   2:1.0.4-1      X11 Athena Widget library
ii  libxext6                  1:1.0.3-2      X11 miscellaneous extension librar
ii  libxft2                   2.1.12-2       FreeType-based font drawing librar
ii  libxmu6                   1:1.0.3-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- no debconf information

[field_c1_printable.patch (text/x-c, inline)]
--- xterm-231/ptyx.h.orig	2008-01-08 21:39:08.000000000 +0100
+++ xterm-231/ptyx.h	2008-01-08 21:41:00.000000000 +0100
@@ -1355,7 +1355,7 @@ typedef struct {
 #if OPT_BROKEN_ST
 	Boolean		brokenStringTerm; /* true to match old OSC parse */
 #endif
-#if OPT_C1_PRINT
+#if OPT_C1_PRINT || OPT_WIDE_CHARS
 	Boolean		c1_printable;	/* true if we treat C1 as print	*/
 #endif
 	int		border;		/* inner border			*/


Tags added: pending Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 09 Feb 2008 02:06:08 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Németh Márton <nm127@freemail.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 459816-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 459816-close@bugs.debian.org
Subject: Bug#459816: fixed in xterm 232-1
Date: Tue, 19 Feb 2008 21:02:15 +0000
Source: xterm
Source-Version: 232-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_232-1.diff.gz
  to pool/main/x/xterm/xterm_232-1.diff.gz
xterm_232-1.dsc
  to pool/main/x/xterm/xterm_232-1.dsc
xterm_232-1_i386.deb
  to pool/main/x/xterm/xterm_232-1_i386.deb
xterm_232.orig.tar.gz
  to pool/main/x/xterm/xterm_232.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459816@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Feb 2008 21:20:08 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 232-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 404079 459816 459817 460545 462621 464947
Changes: 
 xterm (232-1) unstable; urgency=low
 .
   * New upstream release.
     + corrected logic in a font-cache used for reverse-video
       (closes: #404079)
     + allow building with configure options --disable-ansi-color and
       --disable-leaks (closes: #459817)
     + allow building with configure options --enable-wide-chars and
       --disable-c1-print (closes: #459816)
     + add pointerMode resource to control whether and when the pointer cursor
       is hidden as the user types; also fix it so it's really hidden instead
       of showing a black dot (closes: #460545)
     + add limit-checks to tabs.c, increase maximum column for setting
       tab-stops from 320 to 1024 (closes: #462621)
   * Set pointerMode to "never" by default, to restore pre-230 behaviour.
     Document that change in xterm.man (new patch 902_pointermode_never.diff).
   * Look for luit in /usr/bin, not /usr/X11R6/bin.
   * Refresh patches.
   * debian/control: luit is in x11-utils now, update Recommends and
     Description.
   * Add Vcs-* and Homepage fields in debian/control.  Thanks, Joey Hess!
     (closes: #464947)
Files: 
 28bc10a50cf0df435fbad0cc3277dd2c 974 x11 optional xterm_232-1.dsc
 47cc1f1642189c8ae272b19675e86db4 853200 x11 optional xterm_232.orig.tar.gz
 2114b0eda13c362d2dc8067e5517894e 62016 x11 optional xterm_232-1.diff.gz
 437cb55b5ff837a7922f040e4a2d9aa4 463984 x11 optional xterm_232-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHuzuDmEvTgKxfcAwRAs3+AJ94L4zgXEqcUNtA6M0egohxae/1uwCgkNoY
GpAmy50RG8gCFGPJLSJ/1oU=
=ZcC1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Mar 2008 07:27:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:38:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.